# snd_tplg_obj_template_t Struct Reference
[Topology Interface]

## Data Fields

enum snd_tplg_type | type
int | index
int | version
int | vendor_type
union {
struct snd_tplg_widget_template * widget
struct snd_tplg_mixer_template * mixer
struct snd_tplg_bytes_template * bytes_ctl
struct snd_tplg_enum_template * enum_ctl
struct snd_tplg_graph_template * graph
struct snd_tplg_pcm_template * pcm
struct snd_tplg_link_template * link
}; |

## Field Documentation

struct snd_tplg_bytes_template* snd_tplg_obj_template_t::bytes_ctl `[read]`

Bytes control

struct snd_tplg_enum_template* snd_tplg_obj_template_t::enum_ctl `[read]`

Enum control

struct snd_tplg_graph_template* snd_tplg_obj_template_t::graph `[read]`

Graph elements

int snd_tplg_obj_template_t::index

group index for object

struct snd_tplg_link_template* snd_tplg_obj_template_t::link `[read]`

BE and CC Links

struct snd_tplg_mixer_template* snd_tplg_obj_template_t::mixer `[read]`

Mixer control

struct snd_tplg_pcm_template* snd_tplg_obj_template_t::pcm `[read]`

PCM elements

enum snd_tplg_type snd_tplg_obj_template_t::type

template object type

int snd_tplg_obj_template_t::vendor_type

optional vendor specific type info

int snd_tplg_obj_template_t::version

optional vendor specific version details

struct snd_tplg_widget_template* snd_tplg_obj_template_t::widget `[read]`

DAPM widget

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines